Ubuntu

ubuntu-support-status crashes with: File "/usr/bin/ubuntu-support-status", line 148, in <module> 'time' : time}) KeyError: 'temps' - in French

Reported by Pierre Rudloff on 2012-08-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Low
Ubuntu French Translators
update-manager (Ubuntu)
High
Unassigned
Precise
Undecided
Unassigned

Bug Description

[TEST CASE]
1. Install French language pack
2. export LANGUAGE=fr_FR:en LANG=fr_FR.UTF-8
3. In a terminal run:
  $ ubuntu-support-status

[ACTUAL RESULT]
pierre@pierre-MacBook:~$ ubuntu-support-status
Résumé de l'état du support de 'pierre-MacBook':

Traceback (most recent call last):
  File "/usr/bin/ubuntu-support-status", line 136, in <module>
    'time' : time}
KeyError: 'temps'

[EXPECTED RESULT]
Support status is displayed with no crash

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: update-manager-core 1:0.156.14.6
ProcVersionSignature: Ubuntu 3.2.0-27.43-generic-pae 3.2.21
Uname: Linux 3.2.0-27-generic-pae i686
ApportVersion: 2.0.1-0ubuntu11
Architecture: i386
Date: Mon Aug 6 20:55:21 2012
ProcEnviron:
 LANGUAGE=fr_FR:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: update-manager
UpgradeStatus: Upgraded to precise on 2012-04-27 (101 days ago)

Pierre Rudloff (rudloff) wrote :
Jean-Baptiste Lallement (jibel) wrote :

Thanks for your report. I confirm this bug on Quantal with French. This is because the variable names have been translated in the po file
msgid "You have %(num)s packages (%(percent).1f%%) supported until %(time)s"
msgstr ""
"Vous avez %(num)s paquets (%(percent).1f%%) pris en charge jusqu'à %(temps)s"

I found the same error for another string:
msgid "You have %(num)s packages (%(percent).1f%%) that are unsupported"
msgstr ""
"Vous avez %(num)s paquets (%(pour cent).1f%%) qui ne sont pas pris en charge"

Changed in update-manager (Ubuntu):
importance: Undecided → High
status: New → Triaged
tags: added: rls-q-incoming
summary: - KeyError: 'temps'
+ ubuntu-support-status crashes with: File "/usr/bin/ubuntu-support-
+ status", line 148, in <module> 'time' : time}) KeyError: 'temps' - in
+ French
description: updated
Gabor Kelemen (kelemeng) on 2012-08-07
Changed in ubuntu-translations:
assignee: nobody → Ubuntu French Translators (ubuntu-l10n-fr)
status: New → Triaged
importance: Undecided → High
Nicolas Delvaux (malizor) wrote :

Fixed.
https://translations.launchpad.net/ubuntu/precise/+source/update-manager/+pots/update-manager/fr/379/+translate

According to the planning[1], the fix should reach Ubuntu with the next Language Pack update in the end of September.

[1] https://wiki.ubuntu.com/Translations/PreciseLanguagePackReleaseSchedule

Changed in ubuntu-translations:
status: Triaged → Fix Committed
Changed in update-manager (Ubuntu):
status: Triaged → Invalid
Changed in update-manager (Ubuntu Precise):
status: New → Invalid
David Planella (dpm) wrote :

Did the last language pack update fix the issues?

Changed in ubuntu-translations:
status: Fix Committed → Confirmed
status: Confirmed → Incomplete
Pierre Rudloff (rudloff) wrote :

I can still reproduce the error with the last version on Precise:

pierre@pierre-MacBook:~$ aptitude versions language-pack-fr
Paquet language-pack-fr :
p 1:12.04+20120417 precise 500
i 1:12.04+20120801 precise-updates 500

Paquet language-pack-fr-base :
p 1:12.04+20120417 precise 500
i 1:12.04+20120801 precise-updates 500

Pierre Slamich (pierre-slamich) wrote :

The other string hadn't been fixed. Just fixed it now.

David Planella (dpm) on 2012-10-18
Changed in ubuntu-translations:
status: Incomplete → Fix Committed
importance: High → Low
tags: added: l10n

Assuming the fix wasn't properly pushed to Quantal ?

Pierre Slamich
<email address hidden>

On Thu, Oct 18, 2012 at 2:44 PM, Pierre Rudloff <email address hidden> wrote:

> I can still reproduce the error with the last version on Precise:
>
> pierre@pierre-MacBook:~$ aptitude versions language-pack-fr
> Paquet language-pack-fr :
> p 1:12.04+20120417
> precise 500
> i 1:12.04+20120801
> precise-updates 500
>
> Paquet language-pack-fr-base :
> p 1:12.04+20120417
> precise 500
> i 1:12.04+20120801
> precise-updates 500
>
> --
> You received this bug notification because you are a member of Ubuntu
> French Translators, which is a bug assignee.
> https://bugs.launchpad.net/bugs/1033622
>
> Title:
> ubuntu-support-status crashes with: File "/usr/bin/ubuntu-support-
> status", line 148, in <module> 'time' : time}) KeyError: 'temps' - in
> French
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-translations/+bug/1033622/+subscriptions
>
> --
> Ubuntu-fr-l10n mailing list
> <email address hidden>
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-fr-l10n
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers